#!/bin/sh

echo
echo "This script will add Aspose.Words.dll to the GAC and to the  'Packages' tab under the References dialog box in MonoDevelop. This will allow you to easily add a reference to Aspose.Words from any application in MonoDevelop."
echo
echo "Please ensure the archive is extracted to the desired location. The library 'net2.0/Aspose.Words.dll' will be registered at the current location with MonoDevelop."
echo "Note: You must be running this script as a privileged user."
echo
echo "If you do not run this script you can still include Aspose.Words into any project by manually browsing to the location of the Aspose.Words.dll under .NET Assembly."
echo "However if the script is not run then the samples and demos will not run unless you copy the required DLLs to the '../../../bin/net2.0/' directory."
echo 
echo "Press any key to continue or 'q' to exit."
echo

stty raw
choice=`dd if=/dev/tty bs=1 count=1 2>/dev/null`
stty sane

case "$choice"
in
  "q") exit 1
     ;;
esac

echo
LIBDIR="/usr/lib/pkgconfig"
DIR="$( cd "$( dirname "$0" )" && pwd )"

if [ "$(whoami)" != "root" ]; then
  echo "You do not have sufficient privileges to run this script. Try running this script again with sudo"
   exit 1
fi

if [ ! -d "$LIBDIR" ]; then
  echo "Unable to locate $LIBDIR. Most likely MonoDevelop is not installed. Aborting."
  exit 1
fi

gacutil -i net2.0/Aspose.Words.dll

cat > $LIBDIR/aspose.words.pc << EOF
Name: Aspose.Words
Description: Aspose.Words for .NET
Libs: -r:$DIR/net2.0/Aspose.Words.dll
EOF

echo "Added Aspose.Words to the assemblies list"
echo "Success."
